<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionStaticMapObject Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dbb/class_expansion_static_map_object.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionStaticMapObject Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionStaticMapObject:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d4/dbb/class_expansion_static_map_object.png" usemap="#ExpansionStaticMapObject_map" alt=""/>
  <map id="ExpansionStaticMapObject_map" name="ExpansionStaticMapObject_map">
<area href="../../d1/d77/class_expansion_lamp_light_base.html" alt="ExpansionLampLightBase" shape="rect" coords="0,112,163,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a29075dfe475618c50c0490a4b5e1cb1f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbb/class_expansion_static_map_object.html#a29075dfe475618c50c0490a4b5e1cb1f">ExpansionStaticMapObject</a> ()</td></tr>
<tr class="separator:a29075dfe475618c50c0490a4b5e1cb1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8a4050525701f7127bdf9fc9afc6184"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbb/class_expansion_static_map_object.html#ab8a4050525701f7127bdf9fc9afc6184">Create</a> (EntityAI other, vector position, Contact data)</td></tr>
<tr class="separator:ab8a4050525701f7127bdf9fc9afc6184"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a2cf932d5521d2f34d84a265623491c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbb/class_expansion_static_map_object.html#a1a2cf932d5521d2f34d84a265623491c">ExpansionGetPhysicsType</a> ()</td></tr>
<tr class="separator:a1a2cf932d5521d2f34d84a265623491c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae4ace9409114c7e2fb87d36fe6ee99b1"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbb/class_expansion_static_map_object.html#ae4ace9409114c7e2fb87d36fe6ee99b1">m_ImpulseRequired</a></td></tr>
<tr class="separator:ae4ace9409114c7e2fb87d36fe6ee99b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html#l00001">1</a> of file <a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html">expansionstaticmapobject.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a29075dfe475618c50c0490a4b5e1cb1f" name="a29075dfe475618c50c0490a4b5e1cb1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29075dfe475618c50c0490a4b5e1cb1f">&#9670;&#160;</a></span>ExpansionStaticMapObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionStaticMapObject::ExpansionStaticMapObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html#l00005">5</a> of file <a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html">expansionstaticmapobject.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab8a4050525701f7127bdf9fc9afc6184" name="ab8a4050525701f7127bdf9fc9afc6184"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8a4050525701f7127bdf9fc9afc6184">&#9670;&#160;</a></span>Create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionStaticMapObject::Create </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Contact&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html#l00010">10</a> of file <a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html">expansionstaticmapobject.c</a>.</p>

</div>
</div>
<a id="a1a2cf932d5521d2f34d84a265623491c" name="a1a2cf932d5521d2f34d84a265623491c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a2cf932d5521d2f34d84a265623491c">&#9670;&#160;</a></span>ExpansionGetPhysicsType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string ExpansionStaticMapObject::ExpansionGetPhysicsType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html#l00029">29</a> of file <a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html">expansionstaticmapobject.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae4ace9409114c7e2fb87d36fe6ee99b1" name="ae4ace9409114c7e2fb87d36fe6ee99b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4ace9409114c7e2fb87d36fe6ee99b1">&#9670;&#160;</a></span>m_ImpulseRequired</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionStaticMapObject::m_ImpulseRequired</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html#l00003">3</a> of file <a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html">expansionstaticmapobject.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/entities/collision/<a class="el" href="../../dc/d2a/expansionstaticmapobject_8c_source.html">expansionstaticmapobject.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/dbb/class_expansion_static_map_object.html">ExpansionStaticMapObject</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
